| TagLib 1.13 |  |

Public Types | Public Member Functions | List of all members
TagLib::FLAC::MetadataBlock Class Referenceabstract

`#include <flacmetadatablock.h>`

Inheritance diagram for TagLib::FLAC::MetadataBlock:
[legend]

## Public Types
enum | BlockType { StreamInfo = 0 , Padding , Application , SeekTable , VorbisComment , CueSheet , Picture }

## Public Member Functions
| MetadataBlock ()
virtual | ~MetadataBlock ()
virtual int | code () const =0
virtual ByteVector | render () const =0

## Member Enumeration Documentation

## ◆ BlockType

enum TagLib::FLAC::MetadataBlock::BlockType

Enumerator
StreamInfo |
Padding |
Application |
SeekTable |
VorbisComment |
CueSheet |
Picture |

## Constructor & Destructor Documentation

## ◆ MetadataBlock()

TagLib::FLAC::MetadataBlock::MetadataBlock | ( |  | ) |

## ◆ ~MetadataBlock()

virtual TagLib::FLAC::MetadataBlock::~MetadataBlock | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ code()

virtual int TagLib::FLAC::MetadataBlock::code | ( |  | ) | const
| pure virtual

Returns the FLAC metadata block type.

Implemented in TagLib::FLAC::Picture, and TagLib::FLAC::UnknownMetadataBlock.

## ◆ render()

virtual ByteVector TagLib::FLAC::MetadataBlock::render | ( |  | ) | const
| pure virtual

Render the content of the block.

Implemented in TagLib::FLAC::Picture, and TagLib::FLAC::UnknownMetadataBlock.

The documentation for this class was generated from the following file:

- flacmetadatablock.h